Type TCheckBox
	Field Id
	Field X,Y
	Field Checked
	Field Visible, Disabled
	Field OnForm
End Type


Function tp_CreateCheckBox(FId,id,x,y,v)
	a.TCheckBox = New TCheckBox
	a\id = id
	a\X = x
	a\Y = y
	a\Visible = v
	a\OnForm = FId
End Function


Function tp_DrawCheckBox()
	For a.TCheckBox = Each TCheckBox
		If a\Visible = 1 Then
			If a\Disabled = 1 Then
				Color 200,200,200
			Else
				Color 10,10,10
			EndIf
			Rect a\X,a\Y,10,10,0
			If a\Checked = 1 Then
				Rect a\X+2,a\Y+2,6,6,1
			EndIf
		EndIf
	Next
End Function


Function tp_UpdateCheckBox()
	For a.TCheckBox = Each TCheckBox
		If a\Visible = 1 And a\Disabled <> 1 Then
			If Maus_Left = 1 Then
				If Maus_X > a\X And Maus_X < a\X + 10 Then
					If Maus_Y > a\Y And Maus_Y < a\Y + 10 Then
						a\Checked = a\Checked + 1
						If a\Checked > 1 Then a\Checked = 0
					EndIf
				EndIf
			EndIf
		EndIf
	Next
End Function


Function tp_GetCheckBoxState(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			If a\Checked = 1 Then
				Return True
			Else
				Return False
			EndIf
		EndIf
	Next
End Function


Function tp_DisableCheckBox(id)
	For a.TCheckBox = Each TCheckBox
		If a\id = id Then
			a\Disabled = 1
		EndIf
	Next
End Function


Function tp_EnableCheckBox(id)
	For a.TCheckBox = Each TCheckBox
		If a\id = id Then
			a\Disabled = 0
		EndIf
	Next
End Function


Function tp_CheckCheckBox(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			a\Checked = 1
		EndIf
	Next
End Function


Function tp_UncheckCheckBox(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			a\Checked = 0
		EndIf
	Next
End Function


Function tp_VisibleCheckBox(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			a\Visible = a\Visible + 1
			If a\Visible > 1 Then a\Visible = 0
		EndIf
	Next
End Function


Function tp_CheckBoxVisible(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			If a\Visible = 1 Then
				Return True
			Else 
				Return False
			EndIf
		EndIf
	Next
End Function


Function tp_CheckBoxInvisible(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			If a\Visible = 0 Then
				Return True
			Else 
				Return False
			EndIf
		EndIf
	Next
End Function


Function tp_CheckBoxDisabled(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			If a\Disabled = 1 Then
				Return True
			Else 
				Return False
			EndIf
		EndIf
	Next
End Function


Function tp_CheckBoxEnabled(id)
	For a.TCheckBox = Each TCheckBox
		If a\Id = id Then
			If a\Disabled = 0 Then
				Return True
			Else 
				Return False
			EndIf
		EndIf
	Next
End Function
